Atom feed of this document
 
 
 

 4.2.6. List Root-Enabled Status

VerbURIDescription
GET/instances/{instanceId}/rootReturns true if root user is enabled for the specified database instance or false otherwise.

Normal Response Code(s): 200

Error Response Code(s): badRequest (400), unauthorized (401), forbidden (403), badMethod (405), overLimit (413), unprocessableEntity (422), instanceFault (500), notImplemented (501), serviceUnavailable (503), itemNotFound (404)

This operation checks an active specified database instance to see if root access is enabled. It returns True if root user is enabled for the specified database instance or False otherwise.

Table 4.7. List Root-Enabled Status Request Parameters
NameStyleTypeDescription
accountIdTemplate​String

The account ID of the owner of the specified instance.

instanceIdTemplate​String

The instance ID for the specified database instance.

The following examples show the Check Root User Access requests:

 

Example 4.29. List Root-Enabled Status Request: XML

GET /v1.0/1234/instances/9cccb45e-e15d-4bcc-aedc-61a4bf3e4ad9/root HTTP/1.1
User-Agent: python-reddwarfclient
Host: ord.databases.api.rackspacecloud.com
X-Auth-Token: 87c6033c-9ff6-405f-943e-2deb73f278b7
Accept: application/xml
Content-Type: application/xml



 

Example 4.30. List Root-Enabled Status Request: JSON

GET /v1.0/1234/instances/dcc5c518-73c7-4471-83e1-15fae67a98eb/root HTTP/1.1
User-Agent: python-reddwarfclient
Host: ord.databases.api.rackspacecloud.com
X-Auth-Token: 87c6033c-9ff6-405f-943e-2deb73f278b7
Accept: application/json
Content-Type: application/json



This operation does not require a request body.

The following examples show the Check Root User Access responses:

 

Example 4.31. List Root-Enabled Status Response: XML

HTTP/1.1 200 OK
Content-Type: application/xml
Via: 1.1 Repose (Repose/2.6.7)
Content-Length: 90
Date: Wed, 08 May 2013 22:43:35 GMT
Server: Jetty(8.0.y.z-SNAPSHOT)

<rootEnabled xmlns="http://docs.openstack.org/database/api/v1.0">
    True
</rootEnabled>


 

Example 4.32. List Root-Enabled Status Response: JSON

HTTP/1.1 200 OK
Content-Type: application/json
Via: 1.1 Repose (Repose/2.6.7)
Content-Length: 21
Date: Wed, 08 May 2013 22:43:35 GMT
Server: Jetty(8.0.y.z-SNAPSHOT)

{
    "rootEnabled": true
}